# This file was created automatically by SWIG.
import etguiimplc
class ObjectPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AsString(self):
        val = etguiimplc.Object_AsString(self.this)
        return val
    def SetFlag(self,arg0,*args):
        val = apply(etguiimplc.Object_SetFlag,(self.this,arg0,)+args)
        return val
    def TestFlag(self,arg0):
        val = etguiimplc.Object_TestFlag(self.this,arg0)
        return val
    def IsA(self):
        val = etguiimplc.Object_IsA(self.this)
        val = ClassPtr(val)
        return val
    def ClassName(self):
        val = etguiimplc.Object_ClassName(self.this)
        return val
    def IsKindOf(self,arg0):
        val = etguiimplc.Object_IsKindOf(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C Object instance>"
class Object(ObjectPtr):
    def __init__(self,this):
        self.this = this




class ClassPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def Name(self):
        val = etguiimplc.Class_Name(self.this)
        return val
    def Super(self):
        val = etguiimplc.Class_Super(self.this)
        val = ClassPtr(val)
        return val
    def __repr__(self):
        return "<C Class instance>"
class Class(ClassPtr):
    def __init__(self,this):
        self.this = this




class ETFontPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def Size(self):
        val = etguiimplc.ETFont_Size(self.this)
        return val
    def Face(self):
        val = etguiimplc.ETFont_Face(self.this)
        return val
    def Fid(self):
        val = etguiimplc.ETFont_Fid(self.this)
        return val
    def Fixed(self):
        val = etguiimplc.ETFont_Fixed(self.this)
        return val
    def Name(self):
        val = etguiimplc.ETFont_Name(self.this)
        return val
    def __repr__(self):
        return "<C ETFont instance>"
class ETFont(ETFontPtr):
    def __init__(self,this):
        self.this = this




class CollectionPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def Size(self):
        val = etguiimplc.Collection_Size(self.this)
        return val
    def IsEmpty(self):
        val = etguiimplc.Collection_IsEmpty(self.this)
        return val
    def Contains(self,arg0):
        val = etguiimplc.Collection_Contains(self.this,arg0.this)
        return val
    def ContainsPtr(self,arg0):
        val = etguiimplc.Collection_ContainsPtr(self.this,arg0.this)
        return val
    def FindPtr(self,arg0):
        val = etguiimplc.Collection_FindPtr(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def FreeAll(self):
        val = etguiimplc.Collection_FreeAll(self.this)
        return val
    def Empty(self,arg0):
        val = etguiimplc.Collection_Empty(self.this,arg0)
        return val
    def Add(self,arg0):
        val = etguiimplc.Collection_Add(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def Remove(self,arg0):
        val = etguiimplc.Collection_Remove(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def RemovePtr(self,arg0):
        val = etguiimplc.Collection_RemovePtr(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def AddAll(self,arg0):
        val = etguiimplc.Collection_AddAll(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C Collection instance>"
class Collection(CollectionPtr):
    def __init__(self,this):
        self.this = this




class SeqCollectionPtr(CollectionPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def At(self,arg0):
        val = etguiimplc.SeqCollection_At(self.this,arg0)
        val = ObjectPtr(val)
        return val
    def AddFirst(self,arg0):
        val = etguiimplc.SeqCollection_AddFirst(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def AddLast(self,arg0):
        val = etguiimplc.SeqCollection_AddLast(self.this,arg0.this)
        val = ObjectPtr(val)
        return val
    def AddAt(self,arg0,arg1):
        val = etguiimplc.SeqCollection_AddAt(self.this,arg0.this,arg1)
        val = ObjectPtr(val)
        return val
    def AddBefore(self,arg0,arg1):
        val = etguiimplc.SeqCollection_AddBefore(self.this,arg0.this,arg1.this)
        val = ObjectPtr(val)
        return val
    def AddBeforePtr(self,arg0,arg1):
        val = etguiimplc.SeqCollection_AddBeforePtr(self.this,arg0.this,arg1.this)
        val = ObjectPtr(val)
        return val
    def AddAfter(self,arg0,arg1):
        val = etguiimplc.SeqCollection_AddAfter(self.this,arg0.this,arg1.this)
        val = ObjectPtr(val)
        return val
    def AddAfterPtr(self,arg0,arg1):
        val = etguiimplc.SeqCollection_AddAfterPtr(self.this,arg0.this,arg1.this)
        val = ObjectPtr(val)
        return val
    def PutAt(self,arg0,arg1):
        val = etguiimplc.SeqCollection_PutAt(self.this,arg0.this,arg1)
        val = ObjectPtr(val)
        return val
    def RemoveAt(self,arg0):
        val = etguiimplc.SeqCollection_RemoveAt(self.this,arg0)
        val = ObjectPtr(val)
        return val
    def __repr__(self):
        return "<C SeqCollection instance>"
class SeqCollection(SeqCollectionPtr):
    def __init__(self,this):
        self.this = this




class OrdCollectionPtr(SeqCollectionPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C OrdCollection instance>"
class OrdCollection(OrdCollectionPtr):
    def __init__(self) :
        self.this = etguiimplc.new_OrdCollection()
        self.thisown = 1




class VObjectPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetId(self):
        val = etguiimplc.VObject_GetId(self.this)
        return val
    def SetId(self,arg0):
        val = etguiimplc.VObject_SetId(self.this,arg0)
        return val
    def SetHelpID(self,arg0):
        val = etguiimplc.VObject_SetHelpID(self.this,arg0)
        return val
    def Enabled(self):
        val = etguiimplc.VObject_Enabled(self.this)
        return val
    def Enable(self,*args):
        val = apply(etguiimplc.VObject_Enable,(self.this,)+args)
        return val
    def Disable(self,*args):
        val = apply(etguiimplc.VObject_Disable,(self.this,)+args)
        return val
    def IsOpen(self):
        val = etguiimplc.VObject_IsOpen(self.this)
        return val
    def Size(self):
        val = etguiimplc.VObject_Size(self.this)
        return val
    def SetAt(self,arg0,arg1):
        val = etguiimplc.VObject_SetAt(self.this,arg0,arg1.this)
        val = VObjectPtr(val)
        return val
    def At(self,arg0):
        val = etguiimplc.VObject_At(self.this,arg0)
        val = VObjectPtr(val)
        return val
    def Add(self,arg0):
        val = etguiimplc.VObject_Add(self.this,arg0.this)
        return val
    def Remove(self,arg0):
        val = etguiimplc.VObject_Remove(self.this,arg0.this)
        val = VObjectPtr(val)
        return val
    def SetExtent(self,arg0):
        val = etguiimplc.VObject_SetExtent(self.this,arg0)
        return val
    def GetExtent(self):
        val = etguiimplc.VObject_GetExtent(self.this)
        return val
    def SetOrigin(self,arg0):
        val = etguiimplc.VObject_SetOrigin(self.this,arg0)
        return val
    def CalcExtent(self):
        val = etguiimplc.VObject_CalcExtent(self.this)
        return val
    def GetMinSize(self):
        val = etguiimplc.VObject_GetMinSize(self.this)
        return val
    def Update(self):
        val = etguiimplc.VObject_Update(self.this)
        return val
    def AddToolTip(self,arg0):
        val = etguiimplc.VObject_AddToolTip(self.this,arg0.this)
        return val
    def RemoveToolTip(self):
        val = etguiimplc.VObject_RemoveToolTip(self.this)
        return val
    def __repr__(self):
        return "<C VObject instance>"
class VObject(VObjectPtr):
    def __init__(self,this):
        self.this = this




class ETTextItemPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetString(self,arg0,*args):
        val = apply(etguiimplc.ETTextItem_SetString,(self.this,arg0,)+args)
        return val
    def GetFont(self):
        val = etguiimplc.ETTextItem_GetFont(self.this)
        val = ETFontPtr(val)
        return val
    def SetFont(self,arg0):
        val = etguiimplc.ETTextItem_SetFont(self.this,arg0.this)
        return val
    def GetBorder(self):
        val = etguiimplc.ETTextItem_GetBorder(self.this)
        return val
    def SetBorder(self,arg0):
        val = etguiimplc.ETTextItem_SetBorder(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETTextItem instance>"
class ETTextItem(ETTextItemPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETTextItem,(arg0,arg1,)+args)
        self.thisown = 1




class ETStyledTextItemPtr(ETTextItemPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetInk(self):
        val = etguiimplc.ETStyledTextItem_GetInk(self.this)
        return val
    def SetInk(self,arg0):
        val = etguiimplc.ETStyledTextItem_SetInk(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETStyledTextItem instance>"
class ETStyledTextItem(ETStyledTextItemPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETStyledTextItem,(arg0,arg1,)+args)
        self.thisown = 1




class ETFillerPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETFiller instance>"
class ETFiller(ETFillerPtr):
    def __init__(self,arg0,*args) :
        self.this = apply(etguiimplc.new_ETFiller,(arg0,)+args)
        self.thisown = 1




class BoxPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetGap(self,arg0):
        val = etguiimplc.Box_SetGap(self.this,arg0)
        return val
    def GetGap(self):
        val = etguiimplc.Box_GetGap(self.this)
        return val
    def SetAlign(self,arg0):
        val = etguiimplc.Box_SetAlign(self.this,arg0)
        return val
    def GetAlign(self):
        val = etguiimplc.Box_GetAlign(self.this)
        return val
    def SetColsRowsSize(self,arg0):
        val = etguiimplc.Box_SetColsRowsSize(self.this,arg0)
        return val
    def ColsRowsSize(self):
        val = etguiimplc.Box_ColsRowsSize(self.this)
        return val
    def __repr__(self):
        return "<C Box instance>"
class Box(BoxPtr):
    def __init__(self,this):
        self.this = this




class ETHBoxPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETHBox instance>"
class ETHBox(ETHBoxPtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_ETHBox(arg0,arg1)
        self.thisown = 1




class ETVBoxPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETVBox instance>"
class ETVBox(ETVBoxPtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_ETVBox(arg0,arg1)
        self.thisown = 1




class ETHExpanderPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETHExpander instance>"
class ETHExpander(ETHExpanderPtr):
    def __init__(self,arg0,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETHExpander,(arg0,)+args)
        self.thisown = 1




class ETVExpanderPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETVExpander instance>"
class ETVExpander(ETVExpanderPtr):
    def __init__(self,arg0,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETVExpander,(arg0,)+args)
        self.thisown = 1




class ETSniffExpanderPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETSniffExpander instance>"
class ETSniffExpander(ETSniffExpanderPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETSniffExpander,(arg0,arg1,)+args)
        self.thisown = 1




class ETSniffSplitterPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetMinExtent(self):
        val = etguiimplc.ETSniffSplitter_GetMinExtent(self.this)
        return val
    def SetMinExtent(self,arg0):
        val = etguiimplc.ETSniffSplitter_SetMinExtent(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETSniffSplitter instance>"
class ETSniffSplitter(ETSniffSplitterPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETSniffSplitter,(arg0,arg1,)+args)
        self.thisown = 1




class ETFormPtr(BoxPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETForm instance>"
class ETForm(ETFormPtr):
    def __init__(self,arg0,arg1,arg2) :
        self.this = etguiimplc.new_ETForm(arg0,arg1,arg2)
        self.thisown = 1




class ETBorderItemPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETBorderItem instance>"
class ETBorderItem(ETBorderItemPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_ETBorderItem,(arg0.this,arg1.this,)+args)
        self.thisown = 1




class SeparatorItemPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C SeparatorItem instance>"
class SeparatorItem(SeparatorItemPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_SeparatorItem,()+args)
        self.thisown = 1




class SeparatorPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C Separator instance>"
class Separator(SeparatorPtr):
    def __init__(self) :
        self.this = etguiimplc.new_Separator()
        self.thisown = 1




class MattePtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C Matte instance>"
class Matte(MattePtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_Matte(arg0,arg1.this)
        self.thisown = 1




class TextFieldPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetString(self,arg0,*args):
        val = apply(etguiimplc.TextField_SetString,(self.this,arg0,)+args)
        return val
    def __repr__(self):
        return "<C TextField instance>"
class TextField(TextFieldPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_TextField,(arg0,arg1,)+args)
        self.thisown = 1




class MultiLineFieldPtr(TextFieldPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C MultiLineField instance>"
class MultiLineField(MultiLineFieldPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_MultiLineField,(arg0,arg1,)+args)
        self.thisown = 1




class ETIntFieldPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetValue(self):
        val = etguiimplc.ETIntField_GetValue(self.this)
        return val
    def SetValue(self,arg0,*args):
        val = apply(etguiimplc.ETIntField_SetValue,(self.this,arg0,)+args)
        return val
    def SetRange(self,arg0,arg1):
        val = etguiimplc.ETIntField_SetRange(self.this,arg0,arg1)
        return val
    def __repr__(self):
        return "<C ETIntField instance>"
class ETIntField(ETIntFieldPtr):
    def __init__(self,arg0,*args) :
        self.this = apply(etguiimplc.new_ETIntField,(arg0,)+args)
        self.thisown = 1




class ETFloatFieldPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetValue(self):
        val = etguiimplc.ETFloatField_GetValue(self.this)
        return val
    def SetValue(self,arg0,*args):
        val = apply(etguiimplc.ETFloatField_SetValue,(self.this,arg0,)+args)
        return val
    def SetRange(self,arg0,arg1):
        val = etguiimplc.ETFloatField_SetRange(self.this,arg0,arg1)
        return val
    def __repr__(self):
        return "<C ETFloatField instance>"
class ETFloatField(ETFloatFieldPtr):
    def __init__(self,arg0,arg1,arg2,arg3,*args) :
        self.this = apply(etguiimplc.new_ETFloatField,(arg0,arg1,arg2,arg3,)+args)
        self.thisown = 1




class ETManyOfClusterPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetItem(self,arg0,arg1):
        val = etguiimplc.ETManyOfCluster_SetItem(self.this,arg0,arg1)
        return val
    def SetItemOn(self,arg0):
        val = etguiimplc.ETManyOfCluster_SetItemOn(self.this,arg0)
        return val
    def SetItemOff(self,arg0):
        val = etguiimplc.ETManyOfCluster_SetItemOff(self.this,arg0)
        return val
    def SetAllItems(self,arg0):
        val = etguiimplc.ETManyOfCluster_SetAllItems(self.this,arg0)
        return val
    def SetAllItemsOn(self):
        val = etguiimplc.ETManyOfCluster_SetAllItemsOn(self.this)
        return val
    def SetAllItemsOff(self):
        val = etguiimplc.ETManyOfCluster_SetAllItemsOff(self.this)
        return val
    def IsItemOn(self,arg0):
        val = etguiimplc.ETManyOfCluster_IsItemOn(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETManyOfCluster instance>"
class ETManyOfCluster(ETManyOfClusterPtr):
    def __init__(self,*args) :
        self.this = apply(etguiimplc.new_ETManyOfCluster,()+args)
        self.thisown = 1




class ETOneOfClusterPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetItemOn(self,arg0):
        val = etguiimplc.ETOneOfCluster_SetItemOn(self.this,arg0)
        return val
    def GetCurrentItem(self):
        val = etguiimplc.ETOneOfCluster_GetCurrentItem(self.this)
        return val
    def __repr__(self):
        return "<C ETOneOfCluster instance>"
class ETOneOfCluster(ETOneOfClusterPtr):
    def __init__(self,*args) :
        self.this = apply(etguiimplc.new_ETOneOfCluster,()+args)
        self.thisown = 1




class StateButtonPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetValue(self,arg0,*args):
        val = apply(etguiimplc.StateButton_SetValue,(self.this,arg0,)+args)
        return val
    def GetValue(self):
        val = etguiimplc.StateButton_GetValue(self.this)
        return val
    def __repr__(self):
        return "<C StateButton instance>"
class StateButton(StateButtonPtr):
    def __init__(self,this):
        self.this = this




class ETActionButtonPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetLabel(self,arg0,*args):
        val = apply(etguiimplc.ETActionButton_SetLabel,(self.this,arg0,)+args)
        return val
    def __repr__(self):
        return "<C ETActionButton instance>"
class ETActionButton(ETActionButtonPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_ETActionButton,(arg0,arg1.this,)+args)
        self.thisown = 1




class ETRadioButtonPtr(StateButtonPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETRadioButton instance>"
class ETRadioButton(ETRadioButtonPtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_ETRadioButton(arg0,arg1.this)
        self.thisown = 1




class ETToggleButtonPtr(StateButtonPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETToggleButton instance>"
class ETToggleButton(ETToggleButtonPtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_ETToggleButton(arg0,arg1.this)
        self.thisown = 1




class ETScrollerPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetBgInk(self,arg0):
        val = etguiimplc.ETScroller_SetBgInk(self.this,arg0)
        return val
    def GetBgInk(self):
        val = etguiimplc.ETScroller_GetBgInk(self.this)
        return val
    def __repr__(self):
        return "<C ETScroller instance>"
class ETScroller(ETScrollerPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_ETScroller,(arg0.this,arg1,)+args)
        self.thisown = 1




class ViewPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetNextHandler(self,arg0):
        val = etguiimplc.View_SetNextHandler(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C View instance>"
class View(ViewPtr):
    def __init__(self,this):
        self.this = this




class ETCollectionViewPtr(ViewPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetCollection(self,arg0,*args):
        val = apply(etguiimplc.ETCollectionView_SetCollection,(self.this,arg0.this,)+args)
        return val
    def GetCollection(self):
        val = etguiimplc.ETCollectionView_GetCollection(self.this)
        val = SeqCollectionPtr(val)
        return val
    def GetSelection(self):
        val = etguiimplc.ETCollectionView_GetSelection(self.this)
        return val
    def SetSelection(self,arg0,*args):
        val = apply(etguiimplc.ETCollectionView_SetSelection,(self.this,arg0,)+args)
        return val
    def ClearSelection(self,*args):
        val = apply(etguiimplc.ETCollectionView_ClearSelection,(self.this,)+args)
        return val
    def SetSyncSelection(self,arg0):
        val = etguiimplc.ETCollectionView_SetSyncSelection(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETCollectionView instance>"
class ETCollectionView(ETCollectionViewPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[1] = argl[1].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETCollectionView,()+args)
        self.thisown = 1




class ETMultiSelCollViewPtr(ViewPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetCollection(self,arg0,*args):
        val = apply(etguiimplc.ETMultiSelCollView_SetCollection,(self.this,arg0.this,)+args)
        return val
    def GetCollection(self):
        val = etguiimplc.ETMultiSelCollView_GetCollection(self.this)
        val = SeqCollectionPtr(val)
        return val
    def GetSelection(self):
        val = etguiimplc.ETMultiSelCollView_GetSelection(self.this)
        val = SeqCollectionPtr(val)
        val.thisown = 1
        return val
    def SetSelection(self,arg0,arg1):
        val = etguiimplc.ETMultiSelCollView_SetSelection(self.this,arg0.this,arg1)
        return val
    def ClearSelection(self,*args):
        val = apply(etguiimplc.ETMultiSelCollView_ClearSelection,(self.this,)+args)
        return val
    def SelectAll(self,*args):
        val = apply(etguiimplc.ETMultiSelCollView_SelectAll,(self.this,)+args)
        return val
    def __repr__(self):
        return "<C ETMultiSelCollView instance>"
class ETMultiSelCollView(ETMultiSelCollViewPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[1] = argl[1].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETMultiSelCollView,()+args)
        self.thisown = 1




class TextViewPtr(ViewPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C TextView instance>"
class TextView(TextViewPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_TextView,()+args)
        self.thisown = 1




class ETMenuPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AppendMenu(self,arg0,*args):
        val = apply(etguiimplc.ETMenu_AppendMenu,(self.this,arg0.this,)+args)
        return val
    def Insert(self,arg0):
        val = etguiimplc.ETMenu_Insert(self.this,arg0.this)
        return val
    def InsertBefore(self,arg0,arg1):
        val = etguiimplc.ETMenu_InsertBefore(self.this,arg0,arg1.this)
        return val
    def InsertAfter(self,arg0,arg1):
        val = etguiimplc.ETMenu_InsertAfter(self.this,arg0,arg1.this)
        return val
    def InsertItemBefore(self,arg0,arg1,arg2):
        val = etguiimplc.ETMenu_InsertItemBefore(self.this,arg0,arg1,arg2)
        return val
    def InsertItemAfter(self,arg0,arg1,arg2):
        val = etguiimplc.ETMenu_InsertItemAfter(self.this,arg0,arg1,arg2)
        return val
    def InsertItem(self,arg0,arg1):
        val = etguiimplc.ETMenu_InsertItem(self.this,arg0,arg1)
        return val
    def MakeMenuItem(self,arg0,arg1):
        val = etguiimplc.ETMenu_MakeMenuItem(self.this,arg0,arg1)
        val = VObjectPtr(val)
        return val
    def Append(self,arg0):
        val = etguiimplc.ETMenu_Append(self.this,arg0.this)
        return val
    def AppendItem(self,arg0,arg1):
        val = etguiimplc.ETMenu_AppendItem(self.this,arg0,arg1)
        return val
    def ReplaceItem(self,arg0,arg1):
        val = etguiimplc.ETMenu_ReplaceItem(self.this,arg0,arg1)
        return val
    def ToggleItem(self,arg0,arg1,arg2,arg3):
        val = etguiimplc.ETMenu_ToggleItem(self.this,arg0,arg1,arg2,arg3)
        return val
    def RemoveItem(self,arg0):
        val = etguiimplc.ETMenu_RemoveItem(self.this,arg0)
        val = VObjectPtr(val)
        return val
    def RemoveAllItems(self,*args):
        val = apply(etguiimplc.ETMenu_RemoveAllItems,(self.this,)+args)
        return val
    def EnableItem(self,arg0,*args):
        val = apply(etguiimplc.ETMenu_EnableItem,(self.this,arg0,)+args)
        return val
    def EnableAll(self,*args):
        val = apply(etguiimplc.ETMenu_EnableAll,(self.this,)+args)
        return val
    def DisableAll(self):
        val = etguiimplc.ETMenu_DisableAll(self.this)
        return val
    def ResetAll(self):
        val = etguiimplc.ETMenu_ResetAll(self.this)
        return val
    def DisableItem(self,arg0):
        val = etguiimplc.ETMenu_DisableItem(self.this,arg0)
        return val
    def GetSelectedId(self):
        val = etguiimplc.ETMenu_GetSelectedId(self.this)
        return val
    def SetSelectedItem(self,arg0):
        val = etguiimplc.ETMenu_SetSelectedItem(self.this,arg0)
        return val
    def __repr__(self):
        return "<C ETMenu instance>"
class ETMenu(ETMenuPtr):
    def __init__(self,arg0,*args) :
        self.this = apply(etguiimplc.new_ETMenu,(arg0,)+args)
        self.thisown = 1




class DialogPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def ShowUnderMouse(self):
        val = etguiimplc.Dialog_ShowUnderMouse(self.this)
        return val
    def Close(self):
        val = etguiimplc.Dialog_Close(self.this)
        return val
    def Show(self):
        val = etguiimplc.Dialog_Show(self.this)
        return val
    def Hide(self):
        val = etguiimplc.Dialog_Hide(self.this)
        return val
    def HideAndRemember(self):
        val = etguiimplc.Dialog_HideAndRemember(self.this)
        return val
    def Unhide(self):
        val = etguiimplc.Dialog_Unhide(self.this)
        return val
    def Dismiss(self):
        val = etguiimplc.Dialog_Dismiss(self.this)
        return val
    def Iconize(self):
        val = etguiimplc.Dialog_Iconize(self.this)
        return val
    def SetName(self,arg0):
        val = etguiimplc.Dialog_SetName(self.this,arg0)
        return val
    def __repr__(self):
        return "<C Dialog instance>"
class Dialog(DialogPtr):
    def __init__(self,this):
        self.this = this




class PotGuiModelPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def RemoveAt(self,arg0):
        val = etguiimplc.PotGuiModel_RemoveAt(self.this,arg0)
        return val
    def CanRemoveAt(self,arg0):
        val = etguiimplc.PotGuiModel_CanRemoveAt(self.this,arg0)
        return val
    def GetIndex(self,arg0):
        val = etguiimplc.PotGuiModel_GetIndex(self.this,arg0)
        return val
    def IsValueChangable(self,arg0):
        val = etguiimplc.PotGuiModel_IsValueChangable(self.this,arg0)
        return val
    def Apply(self):
        val = etguiimplc.PotGuiModel_Apply(self.this)
        return val
    def Cancel(self):
        val = etguiimplc.PotGuiModel_Cancel(self.this)
        return val
    def IsModified(self):
        val = etguiimplc.PotGuiModel_IsModified(self.this)
        return val
    def AllValuesChanged(self):
        val = etguiimplc.PotGuiModel_AllValuesChanged(self.this)
        return val
    def NotifyValueChange(self,arg0):
        val = etguiimplc.PotGuiModel_NotifyValueChange(self.this,arg0)
        return val
    def __del__(self):
        if self.thisown == 1 :
            etguiimplc.delete_PotGuiModel(self.this)
    def GetValue(self,arg0):
        val = etguiimplc.PotGuiModel_GetValue(self.this,arg0)
        return val
    def SetValue(self,arg0,arg1):
        val = etguiimplc.PotGuiModel_SetValue(self.this,arg0,arg1)
        return val
    def AddModelObserver(self,arg0,*args):
        argl = map(None,args)
        try: argl[1] = argl[1].this
        except: pass
        args = tuple(argl)
        val = apply(etguiimplc.PotGuiModel_AddModelObserver,(self.this,arg0,)+args)
        return val
    def RemoveModelObserver(self,arg0):
        val = etguiimplc.PotGuiModel_RemoveModelObserver(self.this,arg0)
        return val
    def __repr__(self):
        return "<C PotGuiModel instance>"
class PotGuiModel(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this




class SimplePotGuiModelPtr(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def DumpModel(self):
        val = etguiimplc.SimplePotGuiModel_DumpModel(self.this)
        return val
    def UnDumpModel(self,arg0):
        val = etguiimplc.SimplePotGuiModel_UnDumpModel(self.this,arg0)
        return val
    def __repr__(self):
        return "<C SimplePotGuiModel instance>"
class SimplePotGuiModel(SimplePotGuiModelPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_SimplePotGuiModel,()+args)
        self.thisown = 1




class PyPotGuiModelPtr(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetPyImpl(self):
        val = etguiimplc.PyPotGuiModel_GetPyImpl(self.this)
        return val
    def SetPyImpl(self,arg0):
        val = etguiimplc.PyPotGuiModel_SetPyImpl(self.this,arg0)
        return val
    def __repr__(self):
        return "<C PyPotGuiModel instance>"
class PyPotGuiModel(PyPotGuiModelPtr):
    def __init__(self) :
        self.this = etguiimplc.new_PyPotGuiModel()
        self.thisown = 1




class PotGuiModelDecoratorPtr(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetModel(self,arg0):
        val = etguiimplc.PotGuiModelDecorator_SetModel(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C PotGuiModelDecorator instance>"
class PotGuiModelDecorator(PotGuiModelDecoratorPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_PotGuiModelDecorator,()+args)
        self.thisown = 1




class ETEditPotGuiModelPtr(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetModel(self,arg0):
        val = etguiimplc.ETEditPotGuiModel_SetModel(self.this,arg0.this)
        return val
    def SetReadonly(self,*args):
        val = apply(etguiimplc.ETEditPotGuiModel_SetReadonly,(self.this,)+args)
        return val
    def IsReadonly(self):
        val = etguiimplc.ETEditPotGuiModel_IsReadonly(self.this)
        return val
    def __repr__(self):
        return "<C ETEditPotGuiModel instance>"
class ETEditPotGuiModel(ETEditPotGuiModelPtr):
    def __init__(self,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETEditPotGuiModel,()+args)
        self.thisown = 1




class PotGuiPrefsModelPtr(PotGuiModelPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetLevelNames(self,*args):
        val = apply(etguiimplc.PotGuiPrefsModel_GetLevelNames,(self.this,)+args)
        return val
    def GotoLevel(self,arg0):
        val = etguiimplc.PotGuiPrefsModel_GotoLevel(self.this,arg0)
        return val
    def __del__(self):
        if self.thisown == 1 :
            etguiimplc.delete_PotGuiPrefsModel(self.this)
    def __repr__(self):
        return "<C PotGuiPrefsModel instance>"
class PotGuiPrefsModel(PotGuiPrefsModelPtr):
    def __init__(self) :
        self.this = etguiimplc.new_PotGuiPrefsModel()
        self.thisown = 1




class PotGuiVObjPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetSlot(self,arg0):
        val = etguiimplc.PotGuiVObj_SetSlot(self.this,arg0)
        return val
    def GetSlot(self):
        val = etguiimplc.PotGuiVObj_GetSlot(self.this)
        return val
    def Prepare(self):
        val = etguiimplc.PotGuiVObj_Prepare(self.this)
        return val
    def GetContent(self):
        val = etguiimplc.PotGuiVObj_GetContent(self.this)
        val = VObjectPtr(val)
        return val
    def __repr__(self):
        return "<C PotGuiVObj instance>"
class PotGuiVObj(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this




class PotGuiSelectorPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AddItem(self,arg0,arg1):
        val = etguiimplc.PotGuiSelector_AddItem(self.this,arg0,arg1)
        return val
    def __repr__(self):
        return "<C PotGuiSelector instance>"
class PotGuiSelector(PotGuiSelectorPtr):
    def __init__(self,this):
        self.this = this




class PotGuiPopupButtonPtr(PotGuiSelectorPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def RemoveAllItems(self):
        val = etguiimplc.PotGuiPopupButton_RemoveAllItems(self.this)
        return val
    def __repr__(self):
        return "<C PotGuiPopupButton instance>"
class PotGuiPopupButton(PotGuiPopupButtonPtr):
    def __init__(self,arg0) :
        self.this = etguiimplc.new_PotGuiPopupButton(arg0)
        self.thisown = 1




class ETPotGuiOneOfPtr(PotGuiSelectorPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AddVObject(self,arg0,arg1):
        val = etguiimplc.ETPotGuiOneOf_AddVObject(self.this,arg0.this,arg1)
        return val
    def __repr__(self):
        return "<C ETPotGuiOneOf instance>"
class ETPotGuiOneOf(ETPotGuiOneOfPtr):
    def __init__(self,arg0,arg1,arg2,arg3) :
        self.this = etguiimplc.new_ETPotGuiOneOf(arg0,arg1,arg2,arg3)
        self.thisown = 1




class PotGuiTextViewPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C PotGuiTextView instance>"
class PotGuiTextView(PotGuiTextViewPtr):
    def __init__(self,arg0,arg1,arg2) :
        self.this = etguiimplc.new_PotGuiTextView(arg0,arg1.this,arg2)
        self.thisown = 1




class PotGuiFileSelectorPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C PotGuiFileSelector instance>"
class PotGuiFileSelector(PotGuiFileSelectorPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_PotGuiFileSelector,(arg0,arg1,)+args)
        self.thisown = 1




class PotGuiDirSelectorPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C PotGuiDirSelector instance>"
class PotGuiDirSelector(PotGuiDirSelectorPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_PotGuiDirSelector,(arg0,arg1,)+args)
        self.thisown = 1




class PotGuiDirFileSelectorPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C PotGuiDirFileSelector instance>"
class PotGuiDirFileSelector(PotGuiDirFileSelectorPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_PotGuiDirFileSelector,(arg0,arg1,)+args)
        self.thisown = 1




class ETPotGuiColorSelectorPtr(PotGuiVObjPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETPotGuiColorSelector instance>"
class ETPotGuiColorSelector(ETPotGuiColorSelectorPtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_ETPotGuiColorSelector(arg0,arg1)
        self.thisown = 1




class ETPotGuiPanelPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AddPage(self,arg0,arg1,arg2,*args):
        val = apply(etguiimplc.ETPotGuiPanel_AddPage,(self.this,arg0.this,arg1,arg2,)+args)
        return val
    def GotoPage(self,arg0):
        val = etguiimplc.ETPotGuiPanel_GotoPage(self.this,arg0)
        return val
    def SelectedPage(self):
        val = etguiimplc.ETPotGuiPanel_SelectedPage(self.this)
        return val
    def __repr__(self):
        return "<C ETPotGuiPanel instance>"
class ETPotGuiPanel(ETPotGuiPanelPtr):
    def __init__(self,arg0,arg1,arg2) :
        self.this = etguiimplc.new_ETPotGuiPanel(arg0,arg1,arg2)
        self.thisown = 1




class PotGuiDialogPtr(DialogPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetModel(self):
        val = etguiimplc.PotGuiDialog_GetModel(self.this)
        val = PotGuiModelPtr(val)
        return val
    def SetContent(self,arg0):
        val = etguiimplc.PotGuiDialog_SetContent(self.this,arg0.this)
        return val
    def __del__(self):
        if self.thisown == 1 :
            etguiimplc.delete_PotGuiDialog(self.this)
    def __repr__(self):
        return "<C PotGuiDialog instance>"
class PotGuiDialog(PotGuiDialogPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_PotGuiDialog,(arg0.this,arg1.this,)+args)
        self.thisown = 1




class ETPopupButtonPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetValue(self,arg0,*args):
        val = apply(etguiimplc.ETPopupButton_SetValue,(self.this,arg0,)+args)
        return val
    def GetValue(self):
        val = etguiimplc.ETPopupButton_GetValue(self.this)
        return val
    def __repr__(self):
        return "<C ETPopupButton instance>"
class ETPopupButton(ETPopupButtonPtr):
    def __init__(self,arg0,arg1,*args) :
        argl = map(None,args)
        try: argl[0] = argl[0].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_ETPopupButton,(arg0,arg1,)+args)
        self.thisown = 1




class TabPagePtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C TabPage instance>"
class TabPage(TabPagePtr):
    def __init__(self,arg0,arg1) :
        self.this = etguiimplc.new_TabPage(arg0,arg1.this)
        self.thisown = 1




class ETTabSheetPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AddPage(self,arg0):
        val = etguiimplc.ETTabSheet_AddPage(self.this,arg0.this)
        return val
    def ShowPage(self,arg0):
        val = etguiimplc.ETTabSheet_ShowPage(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C ETTabSheet instance>"
class ETTabSheet(ETTabSheetPtr):
    def __init__(self,arg0,*args) :
        self.this = apply(etguiimplc.new_ETTabSheet,(arg0.this,)+args)
        self.thisown = 1




class MultiBoxPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def PageAdd(self,arg0):
        val = etguiimplc.MultiBox_PageAdd(self.this,arg0.this)
        return val
    def PageShow(self,arg0):
        val = etguiimplc.MultiBox_PageShow(self.this,arg0)
        return val
    def __repr__(self):
        return "<C MultiBox instance>"
class MultiBox(MultiBoxPtr):
    def __init__(self) :
        self.this = etguiimplc.new_MultiBox()
        self.thisown = 1




class WizTaskPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def AddAlternativeName(self,arg0):
        val = etguiimplc.WizTask_AddAlternativeName(self.this,arg0)
        return val
    def __repr__(self):
        return "<C WizTask instance>"
class WizTask(WizTaskPtr):
    def __init__(self,arg0,*args) :
        self.this = apply(etguiimplc.new_WizTask,(arg0,)+args)
        self.thisown = 1




class WizardPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetupButtons(self):
        val = etguiimplc.Wizard_SetupButtons(self.this)
        return val
    def __repr__(self):
        return "<C Wizard instance>"
class Wizard(WizardPtr):
    def __init__(self,this):
        self.this = this




class ETAlignBoxPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __repr__(self):
        return "<C ETAlignBox instance>"
class ETAlignBox(ETAlignBoxPtr):
    def __init__(self,arg0,arg1,*args) :
        self.this = apply(etguiimplc.new_ETAlignBox,(arg0,arg1.this,)+args)
        self.thisown = 1




class MultilineTextItemPtr(VObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def SetString(self,arg0):
        val = etguiimplc.MultilineTextItem_SetString(self.this,arg0)
        return val
    def __repr__(self):
        return "<C MultilineTextItem instance>"
class MultilineTextItem(MultilineTextItemPtr):
    def __init__(self,arg0,*args) :
        argl = map(None,args)
        try: argl[1] = argl[1].this
        except: pass
        args = tuple(argl)
        self.this = apply(etguiimplc.new_MultilineTextItem,(arg0,)+args)
        self.thisown = 1




class LMFeaturePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self):
        if self.thisown == 1 :
            etguiimplc.delete_LMFeature(self.this)
    def Ok(self):
        val = etguiimplc.LMFeature_Ok(self.this)
        return val
    def OkName(self):
        val = etguiimplc.LMFeature_OkName(self.this)
        return val
    def UsedName(self):
        val = etguiimplc.LMFeature_UsedName(self.this)
        return val
    def Refresh(self):
        val = etguiimplc.LMFeature_Refresh(self.this)
        return val
    def Free(self):
        val = etguiimplc.LMFeature_Free(self.this)
        return val
    def LastError(self):
        val = etguiimplc.LMFeature_LastError(self.this)
        return val
    def LastErrorNo(self):
        val = etguiimplc.LMFeature_LastErrorNo(self.this)
        return val
    def GetLicenseMsg(self):
        val = etguiimplc.LMFeature_GetLicenseMsg(self.this)
        return val
    def __repr__(self):
        return "<C LMFeature instance>"
class LMFeature(LMFeaturePtr):
    def __init__(self,arg0,arg1,arg2) :
        self.this = etguiimplc.new_LMFeature(arg0,arg1,arg2)
        self.thisown = 1




class SystemPtr(ObjectPtr):
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def GetErrorStr(self):
        val = etguiimplc.System_GetErrorStr(self.this)
        return val
    def GetError(self):
        val = etguiimplc.System_GetError(self.this)
        return val
    def GetSystemId(self):
        val = etguiimplc.System_GetSystemId(self.this)
        return val
    def Control(self):
        val = etguiimplc.System_Control(self.this)
        return val
    def ExitControl(self):
        val = etguiimplc.System_ExitControl(self.this)
        return val
    def ChangeDirectory(self,arg0):
        val = etguiimplc.System_ChangeDirectory(self.this,arg0)
        return val
    def WorkingDirectory(self):
        val = etguiimplc.System_WorkingDirectory(self.this)
        return val
    def HomeDirectory(self):
        val = etguiimplc.System_HomeDirectory(self.this)
        return val
    def TmpDirectory(self):
        val = etguiimplc.System_TmpDirectory(self.this)
        return val
    def GetServerPath(self):
        val = etguiimplc.System_GetServerPath(self.this)
        return val
    def IsCanonicalPathseparator(self,arg0):
        val = etguiimplc.System_IsCanonicalPathseparator(self.this,arg0)
        return val
    def IsPathRoot(self,arg0):
        val = etguiimplc.System_IsPathRoot(self.this,arg0)
        return val
    def NormalizePath(self,arg0):
        val = etguiimplc.System_NormalizePath(self.this,arg0)
        return val
    def DeNormalizePath(self,arg0):
        val = etguiimplc.System_DeNormalizePath(self.this,arg0)
        return val
    def NormalizePathList(self,arg0):
        val = etguiimplc.System_NormalizePathList(self.this,arg0)
        return val
    def DeNormalizePathList(self,arg0):
        val = etguiimplc.System_DeNormalizePathList(self.this,arg0)
        return val
    def VerifyPathList(self,arg0):
        val = etguiimplc.System_VerifyPathList(self.this,arg0)
        return val
    def ResourceDirectory(self):
        val = etguiimplc.System_ResourceDirectory(self.this)
        return val
    def StringAsPathList(self,arg0,*args):
        val = apply(etguiimplc.System_StringAsPathList,(self.this,arg0,)+args)
        return val
    def PathListAsString(self,arg0):
        val = etguiimplc.System_PathListAsString(self.this,arg0)
        return val
    def BuildPathList(self,arg0):
        val = etguiimplc.System_BuildPathList(self.this,arg0)
        return val
    def IsPathListSeparator(self,arg0):
        val = etguiimplc.System_IsPathListSeparator(self.this,arg0)
        return val
    def IsNormalizedPathListSeparator(self,arg0):
        val = etguiimplc.System_IsNormalizedPathListSeparator(self.this,arg0)
        return val
    def CreateDirectory(self,arg0,arg1):
        val = etguiimplc.System_CreateDirectory(self.this,arg0,arg1)
        return val
    def CreateDirectoryWithParents(self,arg0,arg1):
        val = etguiimplc.System_CreateDirectoryWithParents(self.this,arg0,arg1)
        return val
    def RemoveDirectory(self,arg0):
        val = etguiimplc.System_RemoveDirectory(self.this,arg0)
        return val
    def RemoveEmptyDirectory(self,arg0):
        val = etguiimplc.System_RemoveEmptyDirectory(self.this,arg0)
        return val
    def RemoveAllFilesInDirectory(self,arg0):
        val = etguiimplc.System_RemoveAllFilesInDirectory(self.this,arg0)
        return val
    def CopyFile(self,arg0,arg1):
        val = etguiimplc.System_CopyFile(self.this,arg0,arg1)
        return val
    def RenameFile(self,arg0,arg1):
        val = etguiimplc.System_RenameFile(self.this,arg0,arg1)
        return val
    def TouchFile(self,arg0):
        val = etguiimplc.System_TouchFile(self.this,arg0)
        return val
    def GetPathInfo(self,arg0,arg1,arg2,arg3,arg4):
        val = etguiimplc.System_GetPathInfo(self.this,arg0,arg1,arg2,arg3,arg4)
        return val
    def AccessPathName(self,arg0,*args):
        val = apply(etguiimplc.System_AccessPathName,(self.this,arg0,)+args)
        return val
    def BaseName(self,arg0):
        val = etguiimplc.System_BaseName(self.this,arg0)
        return val
    def DirName(self,arg0):
        val = etguiimplc.System_DirName(self.this,arg0)
        return val
    def RemExecutableExt(self,arg0):
        val = etguiimplc.System_RemExecutableExt(self.this,arg0)
        return val
    def IsAbsolutePath(self,arg0):
        val = etguiimplc.System_IsAbsolutePath(self.this,arg0)
        return val
    def GetExpandedPathName(self,arg0):
        val = etguiimplc.System_GetExpandedPathName(self.this,arg0)
        return val
    def ConvertLongToShortPath(self,arg0):
        val = etguiimplc.System_ConvertLongToShortPath(self.this,arg0)
        return val
    def StatCache(self,arg0):
        val = etguiimplc.System_StatCache(self.this,arg0)
        return val
    def Exit(self,arg0,*args):
        val = apply(etguiimplc.System_Exit,(self.this,arg0,)+args)
        return val
    def Wait(self,arg0):
        val = etguiimplc.System_Wait(self.this,arg0)
        return val
    def Abort(self,*args):
        val = apply(etguiimplc.System_Abort,(self.this,)+args)
        return val
    def GetPid(self):
        val = etguiimplc.System_GetPid(self.this)
        return val
    def Sleep(self,arg0):
        val = etguiimplc.System_Sleep(self.this,arg0)
        return val
    def RunProgSynch(self,arg0):
        val = etguiimplc.System_RunProgSynch(self.this,arg0)
        return val
    def RunProgAsynch(self,arg0):
        val = etguiimplc.System_RunProgAsynch(self.this,arg0)
        return val
    def GetUserName(self,*args):
        val = apply(etguiimplc.System_GetUserName,(self.this,)+args)
        return val
    def Setenv(self,arg0,arg1):
        val = etguiimplc.System_Setenv(self.this,arg0,arg1)
        return val
    def Unsetenv(self,arg0):
        val = etguiimplc.System_Unsetenv(self.this,arg0)
        return val
    def Getenv(self,arg0):
        val = etguiimplc.System_Getenv(self.this,arg0)
        return val
    def GetCmdlOption(self,arg0,*args):
        val = apply(etguiimplc.System_GetCmdlOption,(self.this,arg0,)+args)
        return val
    def Which(self,arg0,arg1,*args):
        val = apply(etguiimplc.System_Which,(self.this,arg0,arg1,)+args)
        return val
    def GetSystemInfo(self,arg0,arg1,arg2):
        val = etguiimplc.System_GetSystemInfo(self.this,arg0,arg1,arg2)
        return val
    def AddCleanupObject(self,arg0):
        val = etguiimplc.System_AddCleanupObject(self.this,arg0.this)
        return val
    def __repr__(self):
        return "<C System instance>"
class System(SystemPtr):
    def __init__(self,this):
        self.this = this






#-------------- FUNCTION WRAPPERS ------------------

RunCmd = etguiimplc.RunCmd

def ETMeta(arg0):
    val = etguiimplc.ETMeta(arg0)
    val = ClassPtr(val)
    return val

def ETSafeDelete(arg0):
    val = etguiimplc.ETSafeDelete(arg0.this)
    return val

DoGuard = etguiimplc.DoGuard

def Font(arg0,arg1,*args):
    val = apply(etguiimplc.Font,(arg0,arg1,)+args)
    val = ETFontPtr(val)
    return val

FontIdToName = etguiimplc.FontIdToName

def SimpleBorderItem(arg0,*args):
    val = apply(etguiimplc.SimpleBorderItem,(arg0.this,)+args)
    val = VObjectPtr(val)
    return val

def ETClipper(arg0,arg1,*args):
    val = apply(etguiimplc.ETClipper,(arg0.this,arg1,)+args)
    val = VObjectPtr(val)
    return val

def AddSplitFieldTip(arg0,arg1,*args):
    val = apply(etguiimplc.AddSplitFieldTip,(arg0.this,arg1,)+args)
    return val

def ETPotGuiSubModel(arg0,arg1):
    val = etguiimplc.ETPotGuiSubModel(arg0,arg1.this)
    val = PotGuiModelDecoratorPtr(val)
    return val

def GetNamedModel(arg0):
    val = etguiimplc.GetNamedModel(arg0)
    val = PotGuiModelPtr(val)
    return val

EditorIntegrationNames = etguiimplc.EditorIntegrationNames

CrispParsingStrategy = etguiimplc.CrispParsingStrategy

def ETPotGuiVObj(arg0,arg1):
    val = etguiimplc.ETPotGuiVObj(arg0,arg1.this)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiTextField(arg0,arg1,arg2):
    val = etguiimplc.ETPotGuiTextField(arg0,arg1.this,arg2)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiSplitTextField(arg0,arg1,arg2,arg3,arg4):
    val = etguiimplc.ETPotGuiSplitTextField(arg0,arg1.this,arg2,arg3,arg4)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiIntField(arg0,arg1,arg2):
    val = etguiimplc.ETPotGuiIntField(arg0,arg1.this,arg2)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiToggleButton(arg0,*args):
    argl = map(None,args)
    try: argl[1] = argl[1].this
    except: pass
    args = tuple(argl)
    val = apply(etguiimplc.ETPotGuiToggleButton,(arg0,)+args)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiActionButton(arg0,arg1):
    val = etguiimplc.ETPotGuiActionButton(arg0,arg1)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiVObjDefaultDecorator(arg0,arg1,arg2):
    val = etguiimplc.ETPotGuiVObjDefaultDecorator(arg0,arg1.this,arg2)
    val = PotGuiVObjPtr(val)
    return val

def ETPotGuiVObjEnableDecorator(arg0,arg1,*args):
    val = apply(etguiimplc.ETPotGuiVObjEnableDecorator,(arg0,arg1.this,)+args)
    val = PotGuiVObjPtr(val)
    return val

def ModelContainer(arg0,arg1):
    val = etguiimplc.ModelContainer(arg0.this,arg1.this)
    val = VObjectPtr(val)
    return val

def MakeImageItem(arg0):
    val = etguiimplc.MakeImageItem(arg0)
    val = VObjectPtr(val)
    return val

MakeImageInk = etguiimplc.MakeImageInk

IsDefaultImage = etguiimplc.IsDefaultImage

RGBInk = etguiimplc.RGBInk

NamedRGBInk = etguiimplc.NamedRGBInk

Talk = etguiimplc.Talk

ETShowAlert = etguiimplc.ETShowAlert

def ControlDecorator(arg0,arg1,*args):
    val = apply(etguiimplc.ControlDecorator,(arg0.this,arg1,)+args)
    val = VObjectPtr(val)
    return val

def OpenDecorator(arg0,arg1):
    val = etguiimplc.OpenDecorator(arg0.this,arg1)
    val = VObjectPtr(val)
    return val

def AddCleanupObject(arg0):
    val = etguiimplc.AddCleanupObject(arg0.this)
    return val

IsWindows = etguiimplc.IsWindows

def ETPseudoTabPage(arg0,arg1,arg2):
    val = etguiimplc.ETPseudoTabPage(arg0,arg1,arg2.this)
    val = TabPagePtr(val)
    return val

ETError = etguiimplc.ETError

ETWarning = etguiimplc.ETWarning

SelectFile = etguiimplc.SelectFile

SelectDirectory = etguiimplc.SelectDirectory

ETSniffaccess = etguiimplc.ETSniffaccess

DoMakeWizardDialog = etguiimplc.DoMakeWizardDialog

DoMakeDialog = etguiimplc.DoMakeDialog

SLicenseGetFeatureNames = etguiimplc.SLicenseGetFeatureNames

SLicenseGetVersion = etguiimplc.SLicenseGetVersion

SLicenseGetName = etguiimplc.SLicenseGetName

SLicenseGetFeature = etguiimplc.SLicenseGetFeature

DoesSniffNeedALicence = etguiimplc.DoesSniffNeedALicence

GetLicenseMsg = etguiimplc.GetLicenseMsg

EnvSave = etguiimplc.EnvSave

EnvGetBool = etguiimplc.EnvGetBool

EnvSetBool = etguiimplc.EnvSetBool

EnvGetInt = etguiimplc.EnvGetInt

EnvSetInt = etguiimplc.EnvSetInt

EnvGetString = etguiimplc.EnvGetString

EnvSetString = etguiimplc.EnvSetString

EnvSetPot = etguiimplc.EnvSetPot

EnvExists = etguiimplc.EnvExists

EnvGetIndices = etguiimplc.EnvGetIndices

EnvGetDict = etguiimplc.EnvGetDict

EnvGetArray = etguiimplc.EnvGetArray

EnvGetPot = etguiimplc.EnvGetPot

GetSniffDir = etguiimplc.GetSniffDir

HelpOnName = etguiimplc.HelpOnName

QuantifyStart = etguiimplc.QuantifyStart

QuantifyStop = etguiimplc.QuantifyStop

PotGuiVObj_BeginAddMarkButtons = etguiimplc.PotGuiVObj_BeginAddMarkButtons

PotGuiVObj_InAddMarkButtons = etguiimplc.PotGuiVObj_InAddMarkButtons

PotGuiVObj_EndAddMarkButtons = etguiimplc.PotGuiVObj_EndAddMarkButtons



#-------------- VARIABLE WRAPPERS ------------------

gInkXor = etguiimplc.gInkXor
gInkNone = etguiimplc.gInkNone
gInkWhite = etguiimplc.gInkWhite
gInkBlack = etguiimplc.gInkBlack
gHighlightColor = etguiimplc.gHighlightColor
gClipperBgColor = etguiimplc.gClipperBgColor
gCaretColor = etguiimplc.gCaretColor
ePatXor = etguiimplc.ePatXor
ePatNone = etguiimplc.ePatNone
ePatWhite = etguiimplc.ePatWhite
ePatBlack = etguiimplc.ePatBlack
eVObjEnabled = etguiimplc.eVObjEnabled
eVObjOpen = etguiimplc.eVObjOpen
eVObjHFixed = etguiimplc.eVObjHFixed
eVObjVFixed = etguiimplc.eVObjVFixed
eVObjLayoutCntl = etguiimplc.eVObjLayoutCntl
eVObjKbdFocus = etguiimplc.eVObjKbdFocus
eVObjShowPage = etguiimplc.eVObjShowPage
eVObjHighlight = etguiimplc.eVObjHighlight
eVObjDefault = etguiimplc.eVObjDefault
eVObjLast = etguiimplc.eVObjLast
eVObjHLeft = etguiimplc.eVObjHLeft
eVObjHCenter = etguiimplc.eVObjHCenter
eVObjHRight = etguiimplc.eVObjHRight
eVObjHExpand = etguiimplc.eVObjHExpand
eVObjHEqual = etguiimplc.eVObjHEqual
eVObjHGapExpand = etguiimplc.eVObjHGapExpand
eVObjH = etguiimplc.eVObjH
eVObjVTop = etguiimplc.eVObjVTop
eVObjVBase = etguiimplc.eVObjVBase
eVObjVCenter = etguiimplc.eVObjVCenter
eVObjVBottom = etguiimplc.eVObjVBottom
eVObjVExpand = etguiimplc.eVObjVExpand
eVObjVEqual = etguiimplc.eVObjVEqual
eVObjVGapExpand = etguiimplc.eVObjVGapExpand
eVObjV = etguiimplc.eVObjV
eHor = etguiimplc.eHor
eVert = etguiimplc.eVert
eFontSys = etguiimplc.eFontSys
eFontApp = etguiimplc.eFontApp
eFontFix = etguiimplc.eFontFix
eFontTimes = etguiimplc.eFontTimes
eFontHelvetica = etguiimplc.eFontHelvetica
eFontCourier = etguiimplc.eFontCourier
eFontSymbol = etguiimplc.eFontSymbol
eFontChicago = etguiimplc.eFontChicago
eFontAvantgarde = etguiimplc.eFontAvantgarde
eFontBookman = etguiimplc.eFontBookman
eFontSchoolbook = etguiimplc.eFontSchoolbook
eFontNHelvetica = etguiimplc.eFontNHelvetica
eFontPalatino = etguiimplc.eFontPalatino
eFontChancery = etguiimplc.eFontChancery
eFontDingbats = etguiimplc.eFontDingbats
eFontDefault = etguiimplc.eFontDefault
eFacePlain = etguiimplc.eFacePlain
eFaceBold = etguiimplc.eFaceBold
eFaceItalic = etguiimplc.eFaceItalic
eFaceUnderline = etguiimplc.eFaceUnderline
eFaceOutline = etguiimplc.eFaceOutline
eFacePassword = etguiimplc.eFacePassword
eFaceShadow = etguiimplc.eFaceShadow
eAdjHLeft = etguiimplc.eAdjHLeft
eAdjHCenter = etguiimplc.eAdjHCenter
eAdjHRight = etguiimplc.eAdjHRight
eAdjVBottom = etguiimplc.eAdjVBottom
eAdjVTop = etguiimplc.eAdjVTop
eAdjVBase = etguiimplc.eAdjVBase
eAdjVCenter = etguiimplc.eAdjVCenter
eCVGrid = etguiimplc.eCVGrid
eCVDontStuckToBorder = etguiimplc.eCVDontStuckToBorder
eCVExpandRows = etguiimplc.eCVExpandRows
eCVExpandCols = etguiimplc.eCVExpandCols
eCVModified = etguiimplc.eCVModified
eCVDrawFocus = etguiimplc.eCVDrawFocus
eCVDefault = etguiimplc.eCVDefault
eCVLast = etguiimplc.eCVLast
eWinDefault = etguiimplc.eWinDefault
eWinBlock = etguiimplc.eWinBlock
eWinFixed = etguiimplc.eWinFixed
eWinCanClose = etguiimplc.eWinCanClose
eAlertNote = etguiimplc.eAlertNote
eAlertCaution = etguiimplc.eAlertCaution
eAlertStop = etguiimplc.eAlertStop
eAlertMessage = etguiimplc.eAlertMessage
eAlertSun = etguiimplc.eAlertSun
eAlertError = etguiimplc.eAlertError
eAlertQuestion = etguiimplc.eAlertQuestion
eFDRead = etguiimplc.eFDRead
eFDWrite = etguiimplc.eFDWrite
eFDImport = etguiimplc.eFDImport
eScrollNone = etguiimplc.eScrollNone
eScrollRight = etguiimplc.eScrollRight
eScrollDown = etguiimplc.eScrollDown
eScrollLeft = etguiimplc.eScrollLeft
eScrollUp = etguiimplc.eScrollUp
eScrollHideScrolls = etguiimplc.eScrollHideScrolls
eScrollDefault = etguiimplc.eScrollDefault
gSysFont = etguiimplc.gSysFont
gFixedFont = etguiimplc.gFixedFont
eTaskBegin = etguiimplc.eTaskBegin
eTaskNormal = etguiimplc.eTaskNormal
eTaskFinish = etguiimplc.eTaskFinish
gSystem = etguiimplc.gSystem
